<?php
if (!defined("_VALID_ACCESS_") || _VALID_ACCESS_ !=1) {
	die("Foot Bokra");
}
switch($action) {

/**********************************************************************************************
- Admins - Admins - Admins - Admins - Admins - Admins - Admins - Admins - Admins - Admins - Admins 
**********************************************************************************************/	
case "addAdmins" :

		if (isset($_POST['addAdmin']) && $_POST['addAdmin'] == 1 && !empty($_POST['name']) 
        && !empty($_POST['password']) && !empty($_POST['level'])) {
        
			$name=addslashes($_POST[name]);
			$password=md5($_POST[password]);
		    $level=$_POST['level'];
      
			$query="SELECT `admin_id` FROM `admins` WHERE `name` LIKE '$name'";
			$mysqlQuery->mysqlQueryWOF($query);

			if ($mysqlQuery->resultNoRows==0) {
				$query="INSERT INTO `admins` ( `name` , `password` , `level`  ) 
                              VALUES ( '$name', '$password', '$level' )";
				$mysqlQuery->mysqlQueryUpdate($query);
		
			$main .= "تمت الإضافة بنجاح ".refresh("addAdmins");
			}
			else {
				$main .= "يوجد مشرف اخر بنفس الاسم";
			}
		}
		else {
			$main .= "<form action='./admin.php?action=addAdmins' method='POST'>
						<input type='hidden' name='addAdmin' value='1'></input>
    <table width='50%' align='center' class='content' border='0' cellpadding='5'>
							<tr>
								<td width='50%'> اسم المشرف </td>
								<td width='50%'><input type='text' maxlength='200' name='name'></input></td>
							</tr>
							<tr>
								<td width='50%'> كلمة المرور </td>
								<td width='50%'><input type='password' maxlength='100' name='password'></input></td>
							</tr>
							<tr>
								<td width='50%'>صلاحية المشرف</td>
								<td width='50%'><select name='level' >
								<option value='1'>1 - مشرف عام كامل الصلاحيات</option>
								<option value='2'>2 - جميع الصلاحيات على المقالات</option>
								<option value='3'>3 - اضافة وتعديل المقالات فقط  </option>
								<option value='4'>4 - إضافة مقالات فقط  </option>
								</select></td>
							</tr>
							<tr>
								<td width='100%' colspan='2'><input type='submit' value='إضافه'></input></td>
							</tr>
						</table>
					</form>";
		}

break;

/**********************************************************************************************/

case "editAdmins" :

if (isset($_GET[op]) && is_numeric($_GET[adminId]) && ($_GET[op] == "edit" || $_GET[op] == "delete")) {
			$adminId = intval($_GET[adminId]);
			if ($_GET[op] == "delete") {

				$query="SELECT `admin_id` FROM `admins` WHERE `admin_id` = '1' LIMIT 1 ";
				$mysqlQuery->mysqlQuery($query);
				list($admin)=$mysqlQuery->result;

				if ($adminId == $admin) {
					$main .= "لا يمكن حذف المشرف الرئيسي".refresh("editAdmins");
				}
				else {
					$query="DELETE FROM `admins` WHERE `admin_id` = '$adminId' LIMIT 1";
					$mysqlQuery->mysqlQueryUpdate($query);
					
					$main .= "تم الحذف بنجاح".refresh("editAdmins");
				}
			}
			else {
			
			
			/*** Start Editting ***/
			
				if ($_POST[editAdmin] == 1 ) {
					$name=addslashes($_POST['name']);
					$name=str_replace("\"", "\\\"", $name);
					$name=str_replace("\'", "\\\'", $name);
					$password=md5($_POST[password]);
          $level=$_POST['level'];

        if(empty($_POST[password])) {
        $query="SELECT `password` FROM `admins` WHERE `admin_id` = '$adminId' LIMIT 1";
					$mysqlQuery->mysqlQuery($query);
					list($password)=$mysqlQuery->result;
				
				}else{
				$password=md5($_POST[password]);
				}
				
        
					$query="SELECT `admin_id` FROM `admins` WHERE `name` LIKE '$name' AND `admin_id` != '$adminId'";
					$mysqlQuery->mysqlQueryWOF($query);

					if ($mysqlQuery->resultNoRows==0) {
					$query="UPDATE `admins` SET `name` = '$name', `password` = '$password',
                  `level`='$level' WHERE `admin_id` = '$adminId' LIMIT 1";
						$mysqlQuery->mysqlQueryUpdate($query);
						
						$main .= "تم التعديل بنجاح".refresh("editAdmins");
					}
					else {
						$main .= "الاسم موجود من قبل".refresh("editAdmins");
					}
				}
				else {
				
					$query="SELECT `name`,`password`,`level` FROM `admins` WHERE `admin_id` = '$adminId' LIMIT 1";
					$mysqlQuery->mysqlQuery($query);
					list($name,$password,$level)=$mysqlQuery->result;
				
				switch($level){
				  case "1": $levelnow=" مشرف عام كامل الصلاحيات " ; break;
					case "2": $levelnow=" جميع الصلاحيات على المقالات " ; break;
					case "3": $levelnow=" اضافة وتعديل المقالات فقط "  ; break;
					case "4": $levelnow=" إضافة مقالات فقط "  ; break;
				
					} 

					$main .= "<form action='./admin.php?action=editAdmins&op=edit&adminId=$adminId' method='POST'>
							<input type='hidden' name='editAdmin' value='1'></input>
        <table width='70%' align='center' class='content' border='0' cellpadding='2'>
							<tr>
								<td width='50%'> اسم المشرف </td>
								<td width='50%'><input type='text' maxlength='200' name='name' value='$name'></input></td>
							</tr>
								<tr>
									<td width='50%'> كلمة المرور الجديدة  <br></td>
									<td width='50%'><br><input type='password' maxlength='100' name='password' value=''></input> <br><font color='#F19A21'> اذا ما تحب تغيرها اتركها فارغة </font><br><br></td>
								</tr>
							<tr>
								<td width='50%'><br> صلاحية المحرر  الان هي <br><br></td>
								<td width='50%'><br><font color='#F19A21'> $levelnow </font> <br><br></td>
              </tr>
								<tr>
								<td width='50%'>صلاحية المشرف</td>
								<td width='50%'>
                  <select name='level' >
                    <option value='$level' selected > $levelnow </option>
                    <option value='1'>1 - مشرف عام كامل الصلاحيات</option>
                    <option value='2'>2 - جميع الصلاحيات على المقالات</option>
                    <option value='3'>3 - اضافة وتعديل المقالات فقط  </option>
                    <option value='4'>4 - إضافة مقالات فقط  </option>
                  </select>
                </td>
							</tr>
								<tr>
									<td width='100%' colspan='2'><input type='submit' value='تعديل'></input></td>
								</tr>
							</table>
						</form>";
				}
				
				
			}
		}

		else {
			$query="SELECT `admin_id`, `name` FROM `admins` where `admin_id` != 12";
			$mysqlQuery->mysqlQueryWOF($query);

			$main .= "المشرفين : ";
      $main .= "<table width='50%' align='center' class='content' border='0' cellpadding='5'>";
			$counter =1;
			while (list($adminId,$name) = mysql_fetch_array($mysqlQuery->result)) {
				$main .= ("<tr>");
				$main .= ("<td align='center' width='3%'>$counter</td>");
				$main .= ("<td class='title' width='55%'>$name</td>");
				$main .= ("<td class='content' width='20%'>
			<a href='./admin.php?action=editAdmins&op=edit&adminId=$adminId'> تعديل </a></td>");
				$main .= ("<td class='content' width='20%'>
			<a href='./admin.php?action=editAdmins&op=delete&adminId=$adminId'> حذف </a></td>");
				$main .= ("</tr>");
				$counter++;
			}
			$main .= "</table>";
		}

break;
}
?>